---------------------
PatchSet 5230 
Date: 2007/08/10 05:11:13
Author: amosjeffries
Branch: docs
Tag: (none) 
Log:
Many more DOCS_NOSEMI.

Members: 
	src/ACLARP.h:1.4->1.4.20.1 
	src/ESI.cc:1.23->1.23.2.1 
	src/ExternalACL.h:1.9->1.9.14.1 
	src/HttpReply.h:1.18->1.18.14.1 
	src/StoreMetaMD5.h:1.5->1.5.26.1 
	src/StoreMetaSTD.h:1.5->1.5.26.1 
	src/StoreMetaURL.h:1.5->1.5.26.1 
	src/StoreMetaVary.h:1.5->1.5.26.1 
	src/StoreSwapLogData.h:1.3->1.3.26.1 
	src/comm.cc:1.74.2.3->1.74.2.4 
	src/helper.h:1.8->1.8.2.1 
	src/htcp.cc:1.33->1.33.2.1 
	src/mem_node.h:1.10->1.10.18.1 
	src/auth/digest/auth_digest.h:1.14->1.14.2.1 
	src/auth/negotiate/auth_negotiate.cc:1.16.2.2->1.16.2.3 
	src/auth/negotiate/auth_negotiate.h:1.8->1.8.2.1 
	src/auth/ntlm/auth_ntlm.h:1.15->1.15.2.1 
	src/fs/coss/store_coss.h:1.14.10.1->1.14.10.2 
	src/fs/ufs/ufscommon.h:1.9.10.2->1.9.10.3 

Index: squid3/src/ACLARP.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLARP.h,v
retrieving revision 1.4
retrieving revision 1.4.20.1
diff -u -r1.4 -r1.4.20.1
--- squid3/src/ACLARP.h	6 May 2005 02:14:57 -0000	1.4
+++ squid3/src/ACLARP.h	10 Aug 2007 05:11:13 -0000	1.4.20.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLARP.h,v 1.4 2005/05/06 02:14:57 squidadm Exp $
+ * $Id: ACLARP.h,v 1.4.20.1 2007/08/10 05:11:13 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -69,6 +69,6 @@
     char const *class_;
 };
 
-MEMPROXY_CLASS_INLINE(ACLARP)
+MEMPROXY_CLASS_INLINE(ACLARP)	/**DOCS_NOSEMI*/
 
 #endif /* SQUID_ACLARP_H */
Index: squid3/src/ESI.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ESI.cc,v
retrieving revision 1.23
retrieving revision 1.23.2.1
diff -u -r1.23 -r1.23.2.1
--- squid3/src/ESI.cc	28 Apr 2007 22:51:48 -0000	1.23
+++ squid3/src/ESI.cc	10 Aug 2007 05:11:13 -0000	1.23.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESI.cc,v 1.23 2007/04/28 22:51:48 squidadm Exp $
+ * $Id: ESI.cc,v 1.23.2.1 2007/08/10 05:11:13 amosjeffries Exp $
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
@@ -111,7 +111,7 @@
     void finish();
 };
 
-MEMPROXY_CLASS_INLINE(esiComment)
+MEMPROXY_CLASS_INLINE(esiComment)		/**DOCS_NOSEMI*/
 
 #include "ESILiteral.h"
 
@@ -188,7 +188,7 @@
     esiProcessResult_t bestAttemptRV() const;
 };
 
-MEMPROXY_CLASS_INLINE(esiTry)
+MEMPROXY_CLASS_INLINE(esiTry)		/**DOCS_NOSEMI*/
 
 #include "ESIVar.h"
 
@@ -225,7 +225,7 @@
     void selectElement();
 };
 
-MEMPROXY_CLASS_INLINE(esiChoose)
+MEMPROXY_CLASS_INLINE(esiChoose)		/**DOCS_NOSEMI*/
 
 /* esiWhen */
 
@@ -249,7 +249,7 @@
     void evaluate();
 };
 
-MEMPROXY_CLASS_INLINE(esiWhen)
+MEMPROXY_CLASS_INLINE(esiWhen)		/**DOCS_NOSEMI*/
 
 /* esiOtherwise */
 
Index: squid3/src/ExternalACL.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ExternalACL.h,v
retrieving revision 1.9
retrieving revision 1.9.14.1
diff -u -r1.9 -r1.9.14.1
--- squid3/src/ExternalACL.h	29 May 2006 00:50:18 -0000	1.9
+++ squid3/src/ExternalACL.h	10 Aug 2007 05:11:13 -0000	1.9.14.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ExternalACL.h,v 1.9 2006/05/29 00:50:18 squidadm Exp $
+ * $Id: ExternalACL.h,v 1.9.14.1 2007/08/10 05:11:13 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -89,7 +89,7 @@
     char const *class_;
 };
 
-MEMPROXY_CLASS_INLINE(ACLExternal)
+MEMPROXY_CLASS_INLINE(ACLExternal)		/**DOCS_NOSEMI*/
 
 extern void externalAclRegisterWithCacheManager(CacheManager & manager);
 
Index: squid3/src/HttpReply.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/HttpReply.h,v
retrieving revision 1.18
retrieving revision 1.18.14.1
diff -u -r1.18 -r1.18.14.1
--- squid3/src/HttpReply.h	23 Apr 2006 11:27:37 -0000	1.18
+++ squid3/src/HttpReply.h	10 Aug 2007 05:11:13 -0000	1.18.14.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpReply.h,v 1.18 2006/04/23 11:27:37 squidadm Exp $
+ * $Id: HttpReply.h,v 1.18.14.1 2007/08/10 05:11:13 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -147,6 +147,6 @@
     virtual void hdrCacheInit();
 };
 
-MEMPROXY_CLASS_INLINE(HttpReply)
+MEMPROXY_CLASS_INLINE(HttpReply)		/**DOCS_NOSEMI*/
 
 #endif /* SQUID_HTTPREPLY_H */
Index: squid3/src/StoreMetaMD5.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/StoreMetaMD5.h,v
retrieving revision 1.5
retrieving revision 1.5.26.1
diff -u -r1.5 -r1.5.26.1
--- squid3/src/StoreMetaMD5.h	31 Aug 2004 02:14:26 -0000	1.5
+++ squid3/src/StoreMetaMD5.h	10 Aug 2007 05:11:13 -0000	1.5.26.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreMetaMD5.h,v 1.5 2004/08/31 02:14:26 squidadm Exp $
+ * $Id: StoreMetaMD5.h,v 1.5.26.1 2007/08/10 05:11:13 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -51,6 +51,6 @@
     static int md5_mismatches;
 };
 
-MEMPROXY_CLASS_INLINE(StoreMetaMD5)
+MEMPROXY_CLASS_INLINE(StoreMetaMD5)		/**DOCS_NOSEMI*/
 
 #endif /* SQUID_STOREMETAMD5_H */
Index: squid3/src/StoreMetaSTD.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/StoreMetaSTD.h,v
retrieving revision 1.5
retrieving revision 1.5.26.1
diff -u -r1.5 -r1.5.26.1
--- squid3/src/StoreMetaSTD.h	31 Aug 2004 02:14:26 -0000	1.5
+++ squid3/src/StoreMetaSTD.h	10 Aug 2007 05:11:13 -0000	1.5.26.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreMetaSTD.h,v 1.5 2004/08/31 02:14:26 squidadm Exp $
+ * $Id: StoreMetaSTD.h,v 1.5.26.1 2007/08/10 05:11:13 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -48,6 +48,6 @@
     //    bool checkConsistency(StoreEntry *) const;
 };
 
-MEMPROXY_CLASS_INLINE(StoreMetaSTD)
+MEMPROXY_CLASS_INLINE(StoreMetaSTD)		/**DOCS_NOSEMI*/
 
 #endif /* SQUID_STOREMETASTD_H */
Index: squid3/src/StoreMetaURL.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/StoreMetaURL.h,v
retrieving revision 1.5
retrieving revision 1.5.26.1
diff -u -r1.5 -r1.5.26.1
--- squid3/src/StoreMetaURL.h	31 Aug 2004 02:14:26 -0000	1.5
+++ squid3/src/StoreMetaURL.h	10 Aug 2007 05:11:13 -0000	1.5.26.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreMetaURL.h,v 1.5 2004/08/31 02:14:26 squidadm Exp $
+ * $Id: StoreMetaURL.h,v 1.5.26.1 2007/08/10 05:11:13 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -47,6 +47,6 @@
     bool checkConsistency(StoreEntry *) const;
 };
 
-MEMPROXY_CLASS_INLINE(StoreMetaURL)
+MEMPROXY_CLASS_INLINE(StoreMetaURL)		/**DOCS_NOSEMI*/
 
 #endif /* SQUID_STOREMETAURL_H */
Index: squid3/src/StoreMetaVary.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/StoreMetaVary.h,v
retrieving revision 1.5
retrieving revision 1.5.26.1
diff -u -r1.5 -r1.5.26.1
--- squid3/src/StoreMetaVary.h	31 Aug 2004 02:14:26 -0000	1.5
+++ squid3/src/StoreMetaVary.h	10 Aug 2007 05:11:14 -0000	1.5.26.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreMetaVary.h,v 1.5 2004/08/31 02:14:26 squidadm Exp $
+ * $Id: StoreMetaVary.h,v 1.5.26.1 2007/08/10 05:11:14 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -47,6 +47,6 @@
     bool checkConsistency(StoreEntry *) const;
 };
 
-MEMPROXY_CLASS_INLINE(StoreMetaVary)
+MEMPROXY_CLASS_INLINE(StoreMetaVary)		/**DOCS_NOSEMI*/
 
 #endif /* SQUID_STOREMETAVARY_H */
Index: squid3/src/StoreSwapLogData.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/StoreSwapLogData.h,v
retrieving revision 1.3
retrieving revision 1.3.26.1
diff -u -r1.3 -r1.3.26.1
--- squid3/src/StoreSwapLogData.h	31 Aug 2004 02:14:26 -0000	1.3
+++ squid3/src/StoreSwapLogData.h	10 Aug 2007 05:11:14 -0000	1.3.26.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreSwapLogData.h,v 1.3 2004/08/31 02:14:26 squidadm Exp $
+ * $Id: StoreSwapLogData.h,v 1.3.26.1 2007/08/10 05:11:14 amosjeffries Exp $
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
@@ -63,6 +63,6 @@
     unsigned char key[MD5_DIGEST_CHARS];
 };
 
-MEMPROXY_CLASS_INLINE(StoreSwapLogData)
+MEMPROXY_CLASS_INLINE(StoreSwapLogData)		/**DOCS_NOSEMI*/
 
 #endif /* SQUID_STORESWAPLOGDATA_H */
Index: squid3/src/comm.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/comm.cc,v
retrieving revision 1.74.2.3
retrieving revision 1.74.2.4
diff -u -r1.74.2.3 -r1.74.2.4
--- squid3/src/comm.cc	6 Aug 2007 08:03:42 -0000	1.74.2.3
+++ squid3/src/comm.cc	10 Aug 2007 05:11:14 -0000	1.74.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm.cc,v 1.74.2.3 2007/08/06 08:03:42 amosjeffries Exp $
+ * $Id: comm.cc,v 1.74.2.4 2007/08/10 05:11:14 amosjeffries Exp $
  *
  * DEBUG: section 5     Socket Functions
  * AUTHOR: Harvest Derived
@@ -373,7 +373,7 @@
     dlink_node h_node;
 };
 
-MEMPROXY_CLASS_INLINE(CommCallbackData)
+MEMPROXY_CLASS_INLINE(CommCallbackData)		/**DOCS_NOSEMI*/
 
 class CommAcceptCallbackData : public CommCallbackData
 {
@@ -389,7 +389,7 @@
     ConnectionDetail details;
 };
 
-MEMPROXY_CLASS_INLINE(CommAcceptCallbackData)
+MEMPROXY_CLASS_INLINE(CommAcceptCallbackData)		/**DOCS_NOSEMI*/
 
 class CommFillCallbackData : public CommCallbackData
 {
@@ -403,7 +403,7 @@
     CallBack<IOFCB> callback;
 };
 
-MEMPROXY_CLASS_INLINE(CommFillCallbackData)
+MEMPROXY_CLASS_INLINE(CommFillCallbackData)		/**DOCS_NOSEMI*/
 
 struct _fd_debug_t
 {
Index: squid3/src/helper.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/helper.h,v
retrieving revision 1.8
retrieving revision 1.8.2.1
diff -u -r1.8 -r1.8.2.1
--- squid3/src/helper.h	7 May 2007 18:51:34 -0000	1.8
+++ squid3/src/helper.h	10 Aug 2007 05:11:14 -0000	1.8.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: helper.h,v 1.8 2007/05/07 18:51:34 squidadm Exp $
+ * $Id: helper.h,v 1.8.2.1 2007/08/10 05:11:14 amosjeffries Exp $
  *
  * DEBUG: section 84    Helper process maintenance
  * AUTHOR: Harvest Derived?
@@ -218,7 +218,7 @@
     struct timeval dispatch_time;
 };
 
-MEMPROXY_CLASS_INLINE(helper_request)
+MEMPROXY_CLASS_INLINE(helper_request)		/**DOCS_NOSEMI*/
 
 class helper_stateful_request
 {
@@ -231,7 +231,7 @@
     void *data;
 };
 
-MEMPROXY_CLASS_INLINE(helper_stateful_request)
+MEMPROXY_CLASS_INLINE(helper_stateful_request)		/**DOCS_NOSEMI*/
 
 /* helper.c */
 SQUIDCEXTERN void helperOpenServers(helper * hlp);
Index: squid3/src/htcp.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/htcp.cc,v
retrieving revision 1.33
retrieving revision 1.33.2.1
diff -u -r1.33 -r1.33.2.1
--- squid3/src/htcp.cc	30 Apr 2007 17:51:36 -0000	1.33
+++ squid3/src/htcp.cc	10 Aug 2007 05:11:14 -0000	1.33.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: htcp.cc,v 1.33 2007/04/30 17:51:36 squidadm Exp $
+ * $Id: htcp.cc,v 1.33.2.1 2007/08/10 05:11:14 amosjeffries Exp $
  *
  * DEBUG: section 31    Hypertext Caching Protocol
  * AUTHOR: Duane Wesssels
@@ -197,7 +197,7 @@
     htcpDataHeader *dhdr;
 };
 
-MEMPROXY_CLASS_INLINE(htcpSpecifier)
+MEMPROXY_CLASS_INLINE(htcpSpecifier)		/**DOCS_NOSEMI*/
 
 struct _htcpDetail
 {
Index: squid3/src/mem_node.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/mem_node.h,v
retrieving revision 1.10
retrieving revision 1.10.18.1
diff -u -r1.10 -r1.10.18.1
--- squid3/src/mem_node.h	15 Sep 2005 02:12:42 -0000	1.10
+++ squid3/src/mem_node.h	10 Aug 2007 05:11:14 -0000	1.10.18.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: mem_node.h,v 1.10 2005/09/15 02:12:42 squidadm Exp $
+ * $Id: mem_node.h,v 1.10.18.1 2007/08/10 05:11:14 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -63,7 +63,7 @@
     1;
 };
 
-MEMPROXY_CLASS_INLINE(mem_node)
+MEMPROXY_CLASS_INLINE(mem_node)		/**DOCS_NOSEMI*/
 
 inline std::ostream &
 operator << (std::ostream &os, mem_node &aNode)
Index: squid3/src/auth/digest/auth_digest.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/auth/digest/auth_digest.h,v
retrieving revision 1.14
retrieving revision 1.14.2.1
diff -u -r1.14 -r1.14.2.1
--- squid3/src/auth/digest/auth_digest.h	9 May 2007 07:50:41 -0000	1.14
+++ squid3/src/auth/digest/auth_digest.h	10 Aug 2007 05:11:15 -0000	1.14.2.1
@@ -44,7 +44,7 @@
 
 };
 
-MEMPROXY_CLASS_INLINE(DigestUser)
+MEMPROXY_CLASS_INLINE(DigestUser)		/**DOCS_NOSEMI*/
 
 typedef class DigestUser digest_user_h;
 
@@ -114,7 +114,7 @@
     CredentialsState credentials_ok;
 };
 
-MEMPROXY_CLASS_INLINE(AuthDigestUserRequest)
+MEMPROXY_CLASS_INLINE(AuthDigestUserRequest)		/**DOCS_NOSEMI*/
 
 /* data to be encoded into the nonce's b64 representation */
 
Index: squid3/src/auth/negotiate/auth_negotiate.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/auth/negotiate/auth_negotiate.cc,v
retrieving revision 1.16.2.2
retrieving revision 1.16.2.3
diff -u -r1.16.2.2 -r1.16.2.3
--- squid3/src/auth/negotiate/auth_negotiate.cc	6 Aug 2007 08:03:47 -0000	1.16.2.2
+++ squid3/src/auth/negotiate/auth_negotiate.cc	10 Aug 2007 05:11:15 -0000	1.16.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: auth_negotiate.cc,v 1.16.2.2 2007/08/06 08:03:47 amosjeffries Exp $
+ * $Id: auth_negotiate.cc,v 1.16.2.3 2007/08/10 05:11:15 amosjeffries Exp $
  *
  * DEBUG: section 29    Negotiate Authenticator
  * AUTHOR: Robert Collins, Henrik Nordstrom, Francesco Chemolli
@@ -50,10 +50,16 @@
 #include "negotiateScheme.h"
 #include "wordlist.h"
 
+/**
+ \defgroup AuthNegotiateInternal negotiate Authenticator Internals
+ \ingroup AuthNegotiateAPI
+ */
+
 static void
 authenticateNegotiateReleaseServer(AuthUserRequest * auth_user_request);
 
 
+/// \ingroup AuthNegotiateInternal
 static void
 authenticateStateFree(authenticateStateData * r)
 {
@@ -65,14 +71,18 @@
 static HLPSCB authenticateNegotiateHandleReply;
 static AUTHSSTATS authenticateNegotiateStats;
 
+/// \ingroup AuthNegotiateInternal
 static statefulhelper *negotiateauthenticators = NULL;
 
 CBDATA_TYPE(authenticateStateData);
 
+/// \ingroup AuthNegotiateInternal
 static int authnegotiate_initialised = 0;
 
+/// \ingroup AuthNegotiateInternal
 static auth_negotiate_config negotiateConfig;
 
+/// \ingroup AuthNegotiateInternal
 static hash_table *proxy_auth_cache = NULL;
 
 /*
@@ -81,7 +91,10 @@
  *
  */
 
-/* move to negotiateScheme.cc */
+/**
+ \ingroup AuthNegotiateInternal
+ \todo move to negotiateScheme.cc
+ */
 void
 negotiateScheme::done()
 {
@@ -104,7 +117,6 @@
     debugs(29, 2, "negotiateScheme::done: Negotiate authentication Shutdown.");
 }
 
-/* free any allocated configuration details */
 void
 AuthNegotiateConfig::done()
 {
@@ -168,8 +180,10 @@
     return negotiateScheme::GetInstance().type();
 }
 
-/* Initialize helpers and the like for this auth scheme. Called AFTER parsing the
- * config file */
+/**
+ * Initialize helpers and the like for this auth scheme.
+ * Called AFTER parsing the config file
+ */
 void
 AuthNegotiateConfig::init(AuthConfig * scheme)
 {
Index: squid3/src/auth/negotiate/auth_negotiate.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/auth/negotiate/auth_negotiate.h,v
retrieving revision 1.8
retrieving revision 1.8.2.1
diff -u -r1.8 -r1.8.2.1
--- squid3/src/auth/negotiate/auth_negotiate.h	9 May 2007 08:51:05 -0000	1.8
+++ squid3/src/auth/negotiate/auth_negotiate.h	10 Aug 2007 05:11:15 -0000	1.8.2.1
@@ -11,10 +11,18 @@
 #include "AuthConfig.h"
 #include "helper.h"
 
+/**
+ \defgroup AuthNegotiateAPI Negotiate Authentication API
+ \ingroup AuthAPI
+ */
+
+/// \ingroup AuthNegotiateAPI
 #define DefaultAuthenticateChildrenMax  32	/* 32 processes */
 
 #ifndef __AUTH_AUTHENTICATE_STATE_T__
 #define __AUTH_AUTHENTICATE_STATE_T__
+
+/// \ingroup AuthNegotiateAPI
 typedef enum {
     AUTHENTICATE_STATE_NONE,
     AUTHENTICATE_STATE_INITIAL,
@@ -25,16 +33,17 @@
 
 /* Generic */
 
+/// \ingroup AuthNegotiateAPI
 typedef struct
 {
     void *data;
     AuthUserRequest *auth_user_request;
     RH *handler;
 }
-
 authenticateStateData;
 #endif
 
+/// \ingroup AuthNegotiateAPI
 class NegotiateUser : public AuthUser
 {
 
@@ -46,10 +55,12 @@
     dlink_list proxy_auth_list;
 };
 
-MEMPROXY_CLASS_INLINE(NegotiateUser)
+MEMPROXY_CLASS_INLINE(NegotiateUser)			/**DOCS_NOSEMI*/
 
+/// \ingroup AuthNegotiateAPI
 typedef class NegotiateUser negotiate_user_t;
 
+/// \ingroup AuthNegotiateAPI
 class AuthNegotiateUserRequest : public AuthUserRequest
 {
 
@@ -94,10 +105,11 @@
     NegotiateUser * _theUser;
 };
 
-MEMPROXY_CLASS_INLINE(AuthNegotiateUserRequest)
+MEMPROXY_CLASS_INLINE(AuthNegotiateUserRequest)		/**DOCS_NOSEMI*/
 
 /* configuration runtime data */
 
+/// \ingroup AuthNegotiateAPI
 class AuthNegotiateConfig : public AuthConfig
 {
 
@@ -118,6 +130,7 @@
     wordlist *authenticate;
 };
 
+/// \ingroup AuthNegotiateAPI
 typedef class AuthNegotiateConfig auth_negotiate_config;
 
 #endif
Index: squid3/src/auth/ntlm/auth_ntlm.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/auth/ntlm/auth_ntlm.h,v
retrieving revision 1.15
retrieving revision 1.15.2.1
diff -u -r1.15 -r1.15.2.1
--- squid3/src/auth/ntlm/auth_ntlm.h	9 May 2007 08:51:05 -0000	1.15
+++ squid3/src/auth/ntlm/auth_ntlm.h	10 Aug 2007 05:11:15 -0000	1.15.2.1
@@ -46,7 +46,7 @@
     dlink_list proxy_auth_list;
 };
 
-MEMPROXY_CLASS_INLINE(NTLMUser)
+MEMPROXY_CLASS_INLINE(NTLMUser)		/**DOCS_NOSEMI*/
 
 typedef class NTLMUser ntlm_user_t;
 
@@ -92,7 +92,7 @@
     NTLMUser * _theUser;
 };
 
-MEMPROXY_CLASS_INLINE(AuthNTLMUserRequest)
+MEMPROXY_CLASS_INLINE(AuthNTLMUserRequest)		/**DOCS_NOSEMI*/
 
 /* configuration runtime data */
 
Index: squid3/src/fs/coss/store_coss.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/fs/coss/store_coss.h,v
retrieving revision 1.14.10.1
retrieving revision 1.14.10.2
diff -u -r1.14.10.1 -r1.14.10.2
--- squid3/src/fs/coss/store_coss.h	12 Jul 2007 04:18:03 -0000	1.14.10.1
+++ squid3/src/fs/coss/store_coss.h	10 Aug 2007 05:11:16 -0000	1.14.10.2
@@ -90,8 +90,7 @@
     CossSwapDir *SD;
 };
 
-/// \ingroup COSS
-MEMPROXY_CLASS_INLINE(CossState)
+MEMPROXY_CLASS_INLINE(CossState)	/**DOCS_NOSEMI*/
 
 /// \ingroup COSS
 typedef struct _cossindex CossIndexNode;
Index: squid3/src/fs/ufs/ufscommon.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/fs/ufs/ufscommon.h,v
retrieving revision 1.9.10.2
retrieving revision 1.9.10.3
diff -u -r1.9.10.2 -r1.9.10.3
--- squid3/src/fs/ufs/ufscommon.h	12 Jul 2007 04:18:03 -0000	1.9.10.2
+++ squid3/src/fs/ufs/ufscommon.h	10 Aug 2007 05:11:16 -0000	1.9.10.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ufscommon.h,v 1.9.10.2 2007/07/12 04:18:03 amosjeffries Exp $
+ * $Id: ufscommon.h,v 1.9.10.3 2007/08/10 05:11:16 amosjeffries Exp $
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
@@ -292,10 +292,8 @@
     void doWrite();
 };
 
-/// \ingroup UFS
-MEMPROXY_CLASS_INLINE(UFSStoreState::_queued_read)
-/// \ingroup UFS
-MEMPROXY_CLASS_INLINE(UFSStoreState::_queued_write)
+MEMPROXY_CLASS_INLINE(UFSStoreState::_queued_read)		/**DOCS_NOSEMI*/
+MEMPROXY_CLASS_INLINE(UFSStoreState::_queued_write)		/**DOCS_NOSEMI*/
 
 /// \ingroup UFS
 class StoreSearchUFS : public StoreSearch
